using System;

namespace ConsoleApp1
{
    class Program
    {
        static bool neopadajuci(int[] niz, int l, int r)
        {
            bool t = true;
            for (int i = l - 1; i < r - 2; i++)
            {
                if (niz[i] > niz[i + 1])
                {
                    if (t)
                    {
                        t = false;
                        if (i > l - 1)
                        {
                            if (niz[i - 1] > niz[i + 1]) return false;
                        }
                        continue;
                    }
                    else
                    {
                        return false;
                    }
                }
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] niz = new int[n];
            string[] st = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(st[i]);
            }
            int q = int.Parse(Console.ReadLine());
            for (int p = 0; p < q; p++) 
            {
                st = Console.ReadLine().Split();
                if (neopadajuci(niz, int.Parse(st[0]), int.Parse(st[1])))
                {
                    Console.WriteLine("DA");
                }
                else Console.WriteLine("NE");
            }
        }
    }
}